List accounts
List accounts for the authenticated user.
Query parameters
filtersnullable object
JSON object, passed as a query-string value.
idnullable string
Single account id.
searchnullable string
Case-insensitive name search.
isArchivednullable boolean
Filter by archived state.
paginationnullable object
JSON object with pageNumber and pageSize.
pageNumbernullable number
1-based page. Defaults to 1.
pageSizenullable number
Items per page. Defaults to 100.
GET/accounts
curl https://api.finwiseapp.io/accounts \-X GET \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json"
const response = await fetch('https://api.finwiseapp.io/accounts', {method: 'GET',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},})const data = await response.json()
Response
[{"id": "94d2f962-d4e3-4c99-ab47-8c941cea012a","createdAt": "2026-03-14T09:15:46.724Z","updatedAt": "2026-03-14T09:15:46.724Z","userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","name": "Chase Sapphire","displayName": "Travel card","friendlyName": null,"accountNumber": "••••4291","currentBalance": {"amount": -3432,"currencyCode": "USD"},"availableBalance": {"amount": 1568,"currencyCode": "USD"},"limitAmount": null,"currencyOverride": null,"type": "creditCard","subType": "credit card","archivedAt": null,"isLinked": true,"institutionId": "b8cb6f04-2f2b-440a-a55f-6708ebb57130","institutionUserId": null,"accountGroupId": "c1a0c0a0-1b2c-4d5e-8f90-1234567890ab","emoji": "💳","logoBase64": null,"data": {"config": {"excludeFromBudget": false,"excludeFromNetWorth": false,"excludeTransactions": false,"invertAmounts": false}}}]